
;; Copyright 2019 Éibhear Ó hAnluain

;; This file is part of ENODE.
;;
;; ENODE is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; ENODE is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with ENODE.  If not, see <http://www.gnu.org/licenses/>.

(defun enode-mysql-start-sql-engine ()
  "A function to set up the SQL engine for connecting to a mysql or MariaDB database."
  (call-interactively 'sql-mysql)
  ;; Set the prompt regexps properly
  (save-excursion
    (set-buffer "*SQL*")
    (setq comint-prompt-regexp "^[0-9A-Za-z]\\{3\\}> ")
    (setq sql-prompt-regexp "^[0-9A-Za-z]\\{3\\}> ")
    )
  )
